2 Replies Latest reply: Jan 10, 2013 8:31 PM by fratiz
fratiz Level 1 Level 1 (0 points)

Hello, was attempting to back up old ipod touch to laptop (in order to set up new ipod) but message read that cannot connect because it requires itunes version 10.6.3 or later. itunes will not update on laptop. Any ideas? your help would be much appreciated as I'm new to all of this and don't know how else to transfer old ipod content over to new one. Thanks


iPod touch (4th generation), Windows Vista